Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012450ScribusUndo/Redopublic2014-06-29 03:112014-07-06 22:28
ReporterFirasH 
Assigned Tojghali 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSopenSUSEOS Version13.1
Product Version1.5.0svn 
Target VersionFixed in Version1.5.0svn 
Summary0012450: Undo/Redo records Image Offset always with pt unit
DescriptionUndo/Redo records Image Offset always with pt unit.
Steps To Reproduce0) Create a new document and make sure Windows > Properties/Action History are opened
1) Insert an Image Frame
2) Select the Image Frame and Properties > Image > change X-Pos/Y-Pos

From Windows > Action History you can see:
     -----
     Image1 - Change Image Offset
     X1: (value as pt), Y1: (value as pt)
     X2: (value as pt), Y2: (value as pt)

I had to investigate a bit to understand what that was even if I knew that they were actually pt, so normal users would have had more difficulties if pt was not used as unit.

So I suggest to make it like this, depending on the unit you are using:
     -----
     X1: (value) (unit), Y1: (value) (unit)
     X2: (value) (unit), Y2: (value) (unit)
Additional InformationIssue present on:
Scribus 1.4.5.svn (19295)
Scribus 1.5.0.svn (19296)
TagsNo tags attached.
Patch
Attached Files

- Relationships
related to 0012456closedjghali Undo/Redo records Resize always with pt unit 
related to 0012457closedjghali Undo/Redo records Move always with pt unit 

-  Notes
(0032510)
Kunda (manager)
2014-07-06 22:28

fixed in 1.5svn
no plan to backport to 1.4.5.svn

- Issue History
Date Modified Username Field Change
2014-06-29 03:11 FirasH New Issue
2014-06-29 14:12 jghali Status new => resolved
2014-06-29 14:12 jghali Fixed in Version => 1.5.0svn
2014-06-29 14:12 jghali Resolution open => fixed
2014-06-29 14:12 jghali Assigned To => jghali
2014-07-01 00:42 FirasH Relationship added related to 0012456
2014-07-01 00:43 FirasH Relationship added related to 0012457
2014-07-06 22:28 Kunda Note Added: 0032510
2014-07-06 22:28 Kunda Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker